#ifndef SHARED_GRADE_BOOK_BAR_GRAPH_UTIL_H
#define SHARED_GRADE_BOOK_BAR_GRAPH_UTIL_H 1

#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <math.h>

#include "../grade.h"		/* for date FORMAT strings */
#include "shared_util.h"
#include "shared_grade_book_util.h"
#include "shared_grade_book_calculation_util.h"
#include "shared_person_list.h"
#include "shared_cs_util.h"
#include "shared_strtrm.h"

#define MAX_INTERVALS 10


typedef struct interval_count
{
    double start;
    double end;
    int count;
   struct interval_count *next;
}INTERVAL_COUNT;



INTERVAL_COUNT *get_interval_list(int points);
void free_interval_list(INTERVAL_COUNT *head);

void update_interval_count(INTERVAL_COUNT *head);

void  update_letter_grade_count();

int get_number_student(GRADE *grades);

float compute_percent(int total, int count);

void  set_bar_graph_value(INTERVAL_COUNT *head, int number_std);

void set_letter_bar_graph_value(int number_std);

void update_scale_grade_count(TOTAL_GRADE *head);

int get_student_number(TOTAL_GRADE *head);

void set_scale_letter_grades( int number_std);

void  update_total_count(INTERVAL_COUNT *head, TOTAL_GRADE *std_grade);

#endif




